<template>
    <div class="intangible-assets">
        <PublicTitle :iconUrl="require('@/assets/img/publicTitle/icon-无形.png')" title="无形资产" routerPath="/platLayout/IntangibleAsset"/>
        <div class="assets-content">
            <div class="assets-item" v-for="item in wx_zclx">
                <div class="value">{{ item.num ? item.num : 0 }}</div>
                <div class="label">{{ item.name }}</div>
            </div>

        </div>
    </div>
</template>

<script>
import utils from '@/utils.js'
import api from '@/api/homePage.js'
import PublicTitle from '@/components/PublicTitle/index'
export default {
    name: 'IntangibleAssets', // 无形资产
    components: { PublicTitle },
    data() {
        return {
            wx_zclx: [],
        }
    },
    created() {
        this.wx_zclx = utils.getDictItemsFromCache('wx_zclx')
        this.getIntangibleAssets()
    },
    methods: {
        getIntangibleAssets() {
            api.intangibleStatistics({}, res => {
                if (res.state) {
                    this.wx_zclx.forEach(w => {
                        res.value.forEach(e => {
                            if (e.assetType == w.value) {
                                w.num = e.count
                            }
                        });
                    })
                    this.$set(this.wx_zclx)
                }
            })
        }
    },
}
</script>

<style scoped lang="scss">
.intangible-assets {
    width: 100%;
    height: 100%;
    padding: 16px;
    box-sizing: border-box;
    background: #ffffff;
    box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
    border-radius: 16px 16px 16px 16px;

    .assets-content {
        box-sizing: border-box;
        width: 100%;
        padding: 10px 20px 0px 10px;
        height: calc(100% - 30px);
        display: flex;
        flex-wrap: wrap;

        .assets-item {
            box-sizing: border-box;
            width: 50%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;

            .label {
                font-size: 16px;
                color: #7a8899;
            }

            .value {
                font-size: 22px;
                font-weight: 700;
                color: #0f2a4d;
            }

            &:nth-child(1) {
                border-right: 1px solid #eee;
                border-bottom: 1px solid #eee;
            }

            &:nth-child(2) {
                border-bottom: 1px solid #eee;
            }

            &:nth-child(3) {
                border-right: 1px solid #eee;
            }
        }
    }
}
</style>
